Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007291OCamlmiddle end (typedtree to clambda)public2016-07-18 11:202017-03-03 18:03
ReporterSimon.cruanes 
Assigned Toshinwell 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platformall?OSarchlinux 64 bitsOS Version
Product Version4.03.0 
Target Version4.04.0 +dev / +beta1 / +beta2Fixed in Version4.04.0 +dev / +beta1 / +beta2 
Summary0007291: fatal error during flambda pass
DescriptionA project of mine compiles fine on 4.03.0, but fails in 4.03.0+flambda with the following error:

```
>> Fatal error: When simplifying [Project_var], the closure ID subst/3626 in the approximation of the set of closures did not match the closure ID subst_partial_fun/3548 in the [Project_var] term. Approximation: { descr=(closure:
subst/3626 from { descr=(set_of_closures:
subst/3626 invariant_params={ (param/3627 { }) } freshening={ vars_within_closure
{ (id/3573 id/3625) }, closure_id { (subst/3574 subst/3626) } }) var=subst_set_of_closures/3632 symbol=<no symbol> }) var=subst/3636 symbol=<no symbol> }
 Var-within-closure being projected: subst_1967/3549

Fatal error: exception Misc.Fatal_error
```

Steps To Reproduce$ opam sw 4.03.0+flambda
$ opam pin add -k git nunchaku https://github.com/nunchaku-inria/nunchaku.git#bug-flambda [^]

^
it should fail during compilation of nunchaku itself. Sorry, the compilation is a bit long.
Additional InformationOpam files are attached (colored output enabled, use less -R).
TagsNo tags attached.
Attached Filesgz file icon opam-output.tar.gz [^] (5,860 bytes) 2016-07-18 11:20

- Relationships

-  Notes
(0016143)
shinwell (developer)
2016-07-28 16:46

I am going to look at this.
(0016150)
shinwell (developer)
2016-07-29 17:44

I have made progress on this today, and hope we can get a fix early next week.
(0016160)
shinwell (developer)
2016-08-01 16:23

https://github.com/ocaml/ocaml/pull/731 [^]
(0016448)
doligez (administrator)
2016-10-26 16:26

This bug is fixed by GPR#780, which supersedes GPR#731.

https://github.com/ocaml/ocaml/pull/780 [^]

- Issue History
Date Modified Username Field Change
2016-07-18 11:20 Simon.cruanes New Issue
2016-07-18 11:20 Simon.cruanes File Added: opam-output.tar.gz
2016-07-28 16:46 shinwell Note Added: 0016143
2016-07-28 16:46 shinwell Assigned To => shinwell
2016-07-28 16:46 shinwell Status new => assigned
2016-07-29 17:44 shinwell Note Added: 0016150
2016-08-01 16:23 shinwell Note Added: 0016160
2016-09-07 16:41 shinwell Target Version => 4.04.0 +dev / +beta1 / +beta2
2016-10-26 16:26 doligez Note Added: 0016448
2016-10-26 16:26 doligez Status assigned => closed
2016-10-26 16:26 doligez Resolution open => fixed
2016-10-26 16:26 doligez Fixed in Version => 4.04.0 +dev / +beta1 / +beta2
2017-02-23 16:42 doligez Category Ocaml optimization => -Ocaml optimization
2017-03-03 18:03 doligez Category -Ocaml optimization => middle end (typedtree to clambda)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker